### Class

# Foundry GitDelta

#### Description

    final class Foundry.GitDelta : Foundry.VcsDelta
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryVcsDelta
- GObject

#### Instance methods

##### Methods inherited from FoundryVcsDelta (9)

###### foundry_vcs_delta_dup_new_id

No description available.

###### foundry_vcs_delta_dup_new_path

No description available.

###### foundry_vcs_delta_dup_old_id

No description available.

###### foundry_vcs_delta_dup_old_path

No description available.

###### foundry_vcs_delta_get_new_mode

No description available.

###### foundry_vcs_delta_get_old_mode

No description available.

###### foundry_vcs_delta_get_status

No description available.

###### foundry_vcs_delta_list_hunks

Queries the VCS for the list of hunks that are part of this delta.

since: 1.1

###### foundry_vcs_delta_serialize

Serializes the delta to a unified diff format string.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryVcsDelta (2)

###### Foundry.VcsDelta:new-path

No description available.

###### Foundry.VcsDelta:old-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryGitDeltaClass {
      FoundryVcsDeltaClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryVcsDeltaClass`

  No description available.